## node-babylon 6.18.0+~6.16.6

=== Makefile ===
MAKEFLAGS = -j1

export NODE_ENV = test

.PHONY: make clean test test-only test-cov test-clean test-travis publish build bootstrap publish-core publish-runtime build-website build-core watch-core build-core-test clean-core prepublish

clean: ; rm -rf ./build

bootstrap-babel: clean
	mkdir ./build
	git clone --depth=1 --branch=master https://github.com/babel/babel.git ./build/babel
	cd ./build/babel; \
	make bootstrap
	find ./build/babel/packages -type d -name 'babylon' -prune -exec rm -rf '{}' \; -exec ln -s '../../../../../' '{}' \;

test-babel:
	BABEL_ENV=test npm run build
	# in case babel ever switches to nyc: filter its config out of package.json
	cd ./build/babel; \
	jq "del(.nyc)" package.json > package.nonyc.json; \
	mv -f package.nonyc.json package.json; \
	../../node_modules/.bin/nyc --no-instrument --no-source-map --report-dir ../../coverage node_modules/mocha/bin/_mocha `scripts/_get-test-directories.sh` --opts test/mocha.opts; \
	mv .nyc_output ../../.nyc_output

bootstrap-flow: clean
	mkdir ./build
	git clone --depth=1 --branch=master https://github.com/facebook/flow.git ./build/flow

test-flow:
	node scripts/run_flow_tests.js

## node-babylon 6.18.0

=== debian/changelog ===
node-babylon (6.18.0-2build3) bionic; urgency=medium

  * No change rebuild with the bootstrapped stack, back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2018 19:10:25 +0100

node-babylon (6.18.0-2) unstable; urgency=medium

  * Add copyright of src/plugins/jsx/fromCodePoint.js
  * Change babel command to babeljs
  * Transpile modules in .babelrc
  * Don't use external-helpers plugin in .babelrc
  * Move to main (does not need npm to build anymore)

 -- Pirate Praveen <praveen@debian.org>  Tue, 26 Sep 2017 16:56:24 +0530

node-babylon (6.18.0-1) unstable; urgency=medium

  * New upstream release
  * Remove dependency on nodejs-legacy (Closes: #873800)
  * Use system modules when available

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Sep 2017 16:39:21 +0530

node-babylon (6.14.1-1) unstable; urgency=low

  * Initial release (Closes: #845174)

 -- Pirate Praveen <praveen@debian.org>  Mon, 21 Nov 2016 11:08:17 +0530

=== debian/control ===
Source: node-babylon
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs (>= 6.11~)
 , node-babel-cli
 , node-babel-plugin-transform-flow-strip-types
 , node-babel-preset-es2015
 , node-babel-preset-stage-0
 , node-chalk
 , node-rimraf
Standards-Version: 4.1.0
Homepage: https://babeljs.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-babylon.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-babylon.git

Package: node-babylon
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: JavaScript parser used in Babel
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
 
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	babeljs src -d lib

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-babylon/usr/lib/nodejs/babylon/bin/babylon.js

override_dh_auto_clean:
	dh_auto_clean
	rm -rf lib

=== debian/tests/control ===
Tests: require
Depends: node-babylon

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babylon-$1.tar.gz/ \
 https://github.com/babel/babylon/tags .*/archive/v?([\d\.]+).tar.gz

## node-babylon 6.18.0+~6.16.5

=== debian/changelog ===
node-babylon (6.18.0+~6.16.5-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Embed typescript definitions
  * New upstream version 6.18.0+~6.16.5
  * Add multi-arch hints

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 12:16:00 +0100

node-babylon (6.18.0-4) unstable; urgency=medium

  * Team upload
  * Build with babel7

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 May 2020 08:11:02 +0200

node-babylon (6.18.0-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Update VCS fields to salsa
  * Use pkg-js-tools auto install
  * Replace ava by tape in test
  * Embed babel-helper-fixtures and try-resolve for test only
  * Enable upstream test
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update lintian overrides
  * Update source url to github.com/babel/babel

 -- Xavier Guimard <yadd@debian.org>  Wed, 19 Feb 2020 21:53:30 +0100

=== debian/control ===
Source: node-babylon
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , node-babel7
 , node-chalk
 , node-rimraf
 , node-semver <!nocheck>
 , node-tape <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-babylon
Vcs-Git: https://salsa.debian.org/js-team/node-babylon.git
Homepage: https://babeljs.io/
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-babylon
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Multi-Arch: foreign
Provides: ${nodejs:Provides}
Description: JavaScript parser used in Babel
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\w\.-]+)\.tar\.gz/node-babylon-$1.tar.gz/ \
 https://github.com/babel/babylon/tags?after=v7.0.0-beta.21 .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-babylon,pgpmode=none" \
 https://registry.npmjs.org/@types/babylon https://registry.npmjs.org/@types/babylon/-/babylon-([\d\.]+)@ARCHIVE_EXT@ group

## node-babylon 6.18.0+~6.16.6

=== debian/changelog ===
node-babylon (6.18.0+~6.16.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-babylon: Add :any qualifier for nodejs dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 11:14:08 +0000

node-babylon (6.18.0+~6.16.6-1) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex
  * Add missing build dependency on dh addon.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 6.18.0+~6.16.6

 -- Yadd <yadd@debian.org>  Wed, 29 Dec 2021 19:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  , node-semver <!nocheck>
  , node-tape <!nocheck>
  , dh-sequence-nodejs
-Standards-Version: 4.5.0
+ , debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-babylon
 Vcs-Git: https://salsa.debian.org/js-team/node-babylon.git
 Homepage: https://babeljs.io/
@@ -20,7 +21,7 @@
 Package: node-babylon
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+ , nodejs:any
 Multi-Arch: foreign
 Provides: ${nodejs:Provides}
 Description: JavaScript parser used in Babel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	babeljs-7 src -d lib

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-babylon/usr/share/nodejs/babylon/bin/babylon.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\w\.-]+)\.tar\.gz/node-babylon-$1.tar.gz/ \
 https://github.com/babel/babylon/tags?after=v7.0.0-beta.21 .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-babylon,pgpmode=none" \
 https://registry.npmjs.org/@types/babylon https://registry.npmjs.org/@types/babylon/-/babylon-([\d\.]+)@ARCHIVE_EXT@ group
